unit Unit1;

{$mode objfpc}{$H+}

interface

uses
  Classes, SysUtils, db, Forms, Controls, Graphics, Dialogs, StdCtrls, ExtCtrls,
  lclintf, EhLibLCL,
  MemTableEh, DBGridsEh, EhLibMTE, DBGridEhImpExp;

type

  { TForm1 }

  TForm1 = class(TForm)
    Button1: TButton;
    Button2: TButton;
    DataSource1: TDataSource;
    DBGridEh1: TDBGridEh;
    MemTableEh1: TMemTableEh;
    MemTableEh1FileType: TSmallintField;
    MemTableEh1ImportColumnList: TMemoField;
    MemTableEh1LoadFormName: TStringField;
    Panel1: TPanel;
    procedure Button1Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
    procedure DBGridEh1DblClick(Sender: TObject);
    procedure FormCreate(Sender: TObject);
  private

  public

  end;

var
  Form1: TForm1;

implementation

{$R *.lfm}

{ TForm1 }

procedure TForm1.FormCreate(Sender: TObject);
var
  FDat: TFontData;
begin
  MemTableEh1.LoadFromFile('data1.bin');
  MemTableEh1.Open;

  FDat := GetFontData(Font.Handle);
  Panel1.Caption := Screen.PixelsPerInch.ToString + ':' + FDat.Height.ToString + ':' + GetFontSize(Font).ToString;
end;

procedure TForm1.DBGridEh1DblClick(Sender: TObject);
begin
//  ExportDBGridEhToXlsx(DBGridEh1,'export1.xlsx',[],true);
end;

procedure TForm1.Button1Click(Sender: TObject);
var
  Path:string;
  ds :String;
begin
  ds := DirectorySeparator;
  GetDir(0,Path);
  ExportDBGridEhToXlsx(DBGridEh1, Path + ds + 'File1.xlsx',[]);
  ShowMessage('Export is finished');

  OpenDocument(Path + ds + 'File1.xlsx');
end;

procedure TForm1.Button2Click(Sender: TObject);
begin
  DBGridEh1.OptionsEh := DBGridEh1.OptionsEh + [dghAutoFitRowHeight];
end;

end.

